slepc-3.21.1 2024-04-26
Report Typos and Errors

# EPSSetOptionsPrefix

Sets the prefix used for searching for all EPS options in the database.

### Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSSetOptionsPrefix(EPS eps,const char *prefix)

Logically Collective

### Input Parameters

| eps | - the eigensolver context
| prefix | - the prefix string to prepend to all EPS option requests

### Notes

A hyphen (-) must NOT be given at the beginning of the prefix name. The first character of all runtime options is AUTOMATICALLY the hyphen.

For example, to distinguish between the runtime options for two different EPS contexts, one could call

          EPSSetOptionsPrefix(eps1,"eig1_")
          EPSSetOptionsPrefix(eps2,"eig2_")

### See Also

EPSAppendOptionsPrefix(), EPSGetOptionsPrefix()

### Level

advanced

### Location

src/eps/interface/epsopts.c
Index of all EPS routines
Table of Contents for all manual pages
Index of all manual pages